Subject: Re: Fwd: Re: dll_list::load_after_fork() blues (was Re: [ python-Bugs-489709 ] Building Fails ...)
From: Jason Tishler <[email-masked]>
To: Michael Hudson <[email-masked]>
Cc: Python-List <[email-masked]>, Cygwin <[email-masked]>
Date: Fri, 7 Dec 2001 10:35:24 -0500

Michael,

On Fri, Dec 07, 2001 at 03:12:48PM +0000, Michael Hudson wrote:
> Michael Hudson <[email-masked]> writes:
> > Your patch helps by the way.  I tried building without threads -- that
> > didn't.
> 
> OTOH, some tests crash:
> 
> 3 tests failed:
>     test_popen2 test_pty test_socket

I know, I know.

In fact, the following demonstrates the problem:

    $ cat test2.py 
    import os
    import _socket

    pid = os.fork()

    $ ./python test2.py 
    C:\home\jtishler\src\PythonCvs\nothreads\python.exe: *** unable to remap C:\cygwin\bin\cygssl.dll to same address as parent -- 0x1A2F0000
          0 [main] python 852 sync_with_child: child 2772(0x158) died before initialization with status code 0x1
        996 [main] python 852 sync_with_child: *** child state child loading dlls
    Traceback (most recent call last):
      File "test2.py", line 4, in ?
        pid = os.fork()
    OSError: [Errno 11] Resource temporarily unavailable

I guess that commenting out "import _socket" is not an acceptable
solution... :,)

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/